
REM  WARNING:  The following assumes you have a good working knowledge of GSAS
REM In this example the GSAS filename is called MODEL
REM @m to start macro 
REM @x to terminate recording of macro
REM @r to invoke macro
REM Exiting the DOS shell when GENLES is fitting the histogram points is safe
REM   and will retain the last state of the refinement

echo starting_modelment > autolog.txt

REM set 2-theta range Xrays and Neutron to required value degrees
REM expedt model  < batchjob\xray_neu.txt
REM expedt model  < batchjob\100_2t_x.txt
REM expedt model  < batchjob\100_2t_n.txt
REM powpref model
REM echo step 1 completed set 2-theta range Xrays and Neutron to XX degrees >> autolog.txt


REM set bond restraint factor to 1
expedt model  < batchjob\bondr1.txt
echo step 1 completed set bond restraint to 1 >> autolog.txt

REM set XRAYS ONLY
expedt model  < batchjob\xrayonly.txt
echo step 2 XRAYS ONLY >> autolog.txt

REM  setup EXPEDT for refining Heavy metal Atom framework positions
expedt model  < batchjob\refhev.txt
REM  model Nb Framework positions
REM powpref model
genles model
echo step 3 completed - refined heavy metal atom framework >> autolog.txt

REM  setup EXPEDT for refining light atom framework positions
expedt model  < batchjob\refligh.txt
REM  model Ca Framework positions
REM powpref model
genles model
echo step 4  completed - refined light atom framework >> autolog.txt

REM  setup EXPEDT for refining light metal atom interstitial positions
expedt model  < batchjob\refinter.txt
REM  model Ca Framework positions
REM powpref model
genles model
echo step 5  completed - refined light metal atom interstitial >> autolog.txt

REM set NEUTRON ONLY
expedt model  < batchjob\neuonly.txt
echo step 6 NEUTRON ONLY >> autolog.txt

REM  setup EXPEDT for refining O  framework positions
expedt model  < batchjob\refoxy.txt
REM  model Oxy Framework positions
REM powpref model
genles model
echo step 7   completed - refined framework oxy >> autolog.txt


